Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455979 - rekall can not find the required symbolic links
Summary: rekall can not find the required symbolic links
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rekall
Version: 9
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 18:29 UTC by Craig Goodyear
Modified: 2008-09-14 06:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-09-14 06:47:51 UTC


Attachments (Terms of Use)

Description Craig Goodyear 2008-07-19 18:29:20 UTC
Description of problem:
After installing rekall and setting up a database 
connection, the various Objects that are normally shown in 
the left pane of the main window are not shown.  The only 
object displayed is the "Servers" object.


Version-Release number of selected component (if applicable):
rekall-mysql-2.4.6-4.fc9.i386
rekall-extra-2.4.6-4.fc9.i386
rekall-2.4.6-4.fc9.i386
rekall-odbc-2.4.6-4.fc9.i386
rekall-python-2.4.6-4.fc9.i386
rekall-docs-2.4.6-4.fc9.i386


How reproducible:
without exception


Steps to Reproduce:
1. install rekall
2. setup connection to a database

  
Actual results:
Not able to see a list of any of the database tables, not 
able to build queries, reports, forms, etc.


Expected results:
See a list of the database tables, and be able to build 
queries, reports, forms, etc.


Additional info:
I was able to work around the bug by creating symbolic 
links to the various files installed by rekall in the 
/usr/lib directory.  Files as copied by rekall to /usr/lib:

librekallqt_app.so.246            librekallqt_macroview.so.246
librekallqt_common.so.246         librekallqt_plugin_extra.so.246
librekallqt_componentview.so.246  librekallqt_queryview.so.246
librekallqt_copierview.so.246     librekallqt_reportview.so.246
librekallqt_driver_csv.so.246     librekallqt_rkdcop.so.246
librekallqt_driver_dbtcp.so.246   librekallqt_scriptall.so.246
librekallqt_driver_mysql.so.246   librekallqt_script_kjs.so.246
librekallqt_driver_odbc.so.246    librekallqt_script_py.so.246
librekallqt_driver_test.so.246    librekallqt.so.246
librekallqt_driver_xbase.so.246   librekallqt_support_dbtcp.so.246
librekallqt_editor.so.246         librekallqt_support_xbase.so.246
librekallqt_el32.so.246           librekallqt_support_xbsql.so.246
librekallqt_formview.so.246       librekallqt_tableview.so.246
librekallqt_kde.so.246            librekallqt_wizard.so.246
librekallqt_kjs.so.246

Comment 1 Fedora Update System 2008-09-11 22:55:22 UTC
rekall-2.4.6-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rekall-2.4.6-5.fc9

Comment 2 Fedora Update System 2008-09-14 06:47:48 UTC
rekall-2.4.6-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.